#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int SIZE = 0;
char ** KEY = NULL;


int search(char *buf)
{
  int n;
  int w;
  for (n=0;n<SIZE;n++) {
    w = strcmp(buf,KEY[n]);
    if (w==0) return 0;
  }
  return 1;
}

void append(char *buf)
{
  int n;
  int i;
  n = search(buf);
  if (n==0) return;
  KEY = (char**)realloc(KEY,sizeof(char*)*(SIZE+1));
  KEY[SIZE] = strdup(buf);
  SIZE++;
}

int sortstring(const void *A,const void *B)
{
  return strcmp(*(char**)A,*(char**)B);
}

void main(int argc,char **argv)
{
  FILE *fp;
  char buf[256];
  int n;

  argv++;
  
  while (*argv) {
    fp = fopen(*argv,"rt");
    if (fp!=NULL) {
      while (fscanf(fp,"%s",buf)==1) append(buf);
      fclose(fp);
    }
    argv++;
  }

  qsort(KEY,SIZE,sizeof(char*),sortstring);
  for (n=0;n<SIZE;n++) printf("%s\n",KEY[n]);
}

